org.apache.commons.compress.harmony.pack200

## Class NewAttributeBands.Call

- java.lang.Object
- - org.apache.commons.compress.harmony.pack200.NewAttributeBands.LayoutElement
  - - org.apache.commons.compress.harmony.pack200.NewAttributeBands.Call

- All Implemented Interfaces:
    NewAttributeBands.AttributeLayoutElement
  Enclosing class:
    NewAttributeBands

      public class NewAttributeBands.Call
      extends NewAttributeBands.LayoutElement

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Call(int callableIndex)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttributeToBand(NewAttribute attribute, InputStream inputStream)`
    `NewAttributeBands.Callable` | `getCallable()`
    `int` | `getCallableIndex()`
    `void` | `pack(OutputStream outputStream)`
    `void` | `renumberBci(IntList bciRenumbering, Map<org.objectweb.asm.Label,Integer> labelsToOffsets)`
    `void` | `setCallable(NewAttributeBands.Callable callable)`

    - ### Methods inherited from class org.apache.commons.compress.harmony.pack200.NewAttributeBands.LayoutElement

      `getLength`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Call

          public Call(int callableIndex)

  - ### Method Detail

    - #### addAttributeToBand

          public void addAttributeToBand(NewAttribute attribute,
                                         InputStream inputStream)

    - #### getCallable

          public NewAttributeBands.Callable getCallable()

    - #### getCallableIndex

          public int getCallableIndex()

    - #### pack

          public void pack(OutputStream outputStream)

    - #### renumberBci

          public void renumberBci(IntList bciRenumbering,
                                  Map<org.objectweb.asm.Label,Integer> labelsToOffsets)

    - #### setCallable

          public void setCallable(NewAttributeBands.Callable callable)

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.